pyosmium (3.0.1-2) unstable; urgency=medium

  * Update lintian overrides.
  * Add patch to fix FTFBS with pybind11 2.6.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Oct 2020 12:42:42 +0100

pyosmium (3.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.6.
  * Use JavaScript files from libjs-sphinxdoc.
  * Add lintian override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Jul 2020 20:06:36 +0200

pyosmium (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 May 2020 06:20:28 +0200

pyosmium (2.15.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Provides: ${python3:Provides}.
  * Mark python3-shapely with <!nocheck> as well.
  * Drop Name field from upstream metadata.
  * Bump minimum required libosmium2-dev to 2.15.4.

  [ Helmut Grohne ]
  * Reduce build dependencies for cross building. (Closes: #946012)
    + Move sphinx dependencies to Build-Depends-Indep.
    + Annotate test dependencies with <!nocheck>.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 29 Feb 2020 19:39:21 +0100

pyosmium (2.15.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.2.
  * Drop obsolete examples file.
  * Add python3-shapely to (build) dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 17 Aug 2019 08:39:20 +0200

pyosmium (2.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 10:39:29 +0200

pyosmium (2.15.2-1) unstable; urgency=medium

  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 10:11:49 +0200

pyosmium (2.15.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.15.1.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Mar 2019 07:54:56 +0100

pyosmium (2.15.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Jan 2019 06:59:10 +0100

pyosmium (2.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Add build dependencies.
  * Explicitly set distutils for pybuild build system.
  * Enable verbose CMake output.
  * Drop obsolete libboost-python-dev build dependency.
  * Append CPPFLAGS to CXXFLAGS.
  * Drop unusued overrides for hardening-no-fortify-functions.
  * Update copyright years for Sarah Hoffmann.
  * Bump minimum required libosmium2-dev to 2.15.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 09 Dec 2018 18:08:28 +0100

pyosmium (2.14.4-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to limit matches to archive path.
  * Bump Standards-Version to 4.2.1, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Oct 2018 16:35:29 +0100

pyosmium (2.14.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch to fix i386 test failure, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Aug 2018 22:54:21 +0200

pyosmium (2.14.2-3) unstable; urgency=medium

  * Add upstream patch to fix test failure on i386.
  * Don't ignore test failures on i386 & hurd-i386.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 21:34:17 +0200

pyosmium (2.14.2-2) unstable; urgency=medium

  * Ignore test failures on i386 & hurd-i386.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 18:37:29 +0200

pyosmium (2.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Update osmcode.org URLs to use HTTPS.
  * Bump Standards-Version to 4.2.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Bump minimum required libosmium2-dev to 2.14.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Aug 2018 07:19:38 +0200

pyosmium (2.14.1-2) unstable; urgency=medium

  * Strip trailing whitespace from control & rules files.
  * Bump Standards-Version to 4.1.5, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jul 2018 14:46:25 +0200

pyosmium (2.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Add module import tests to autopkgtest configuration.
  * Bump Standards-Version to 4.1.4, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Apr 2018 07:20:45 +0200

pyosmium (2.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.3, no changes.
  * Bump minimum required libosmium2-dev to 2.14.0.
  * Update pybuild build directory path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 31 Mar 2018 21:54:05 +0200

pyosmium (2.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.13.1.
  * Add python{,3}-mock to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 31 Aug 2017 23:44:01 +0200

pyosmium (2.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 20 Aug 2017 00:35:31 +0200

pyosmium (2.12.3-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 20:19:50 +0200

pyosmium (2.12.3-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 12:21:53 +0200

pyosmium (2.12.3-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 May 2017 22:19:07 +0200

pyosmium (2.12.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.2.
  * Update hardening-no-fortify-functions overrides for index.so.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 May 2017 09:03:25 +0200

pyosmium (2.12.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.1.
  * Build & install upstream manpages for pyosmium utilities.
  * Drop unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Apr 2017 07:22:35 +0200

pyosmium (2.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.12.0.
  * Add pyosmium binary package for utilities.
  * Add man pages for pyosmium utilities.
  * Add unused override for hardening-no-fortify-functions.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Mar 2017 18:32:54 +0100

pyosmium (2.11.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Jan 2017 18:45:04 +0100

pyosmium (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.
  * Update copyright years for Sarah Hoffmann.
  * Bump minimum required libosmium2-dev to 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Jan 2017 21:47:38 +0100

pyosmium (2.10.2-2~exp1) experimental; urgency=medium

  * Add upstream patch to fix FTBFS with libosmium 2.11.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Jan 2017 13:41:56 +0100

pyosmium (2.10.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2016 11:29:13 +0100

pyosmium (2.10.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.10.2.
  * Drop applying-typo.patch, applied upstream.
  * Set PYTHONPATH for documentation generation.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 16 Nov 2016 18:54:24 +0100

pyosmium (2.9.0-2) unstable; urgency=medium

  * Add patch to fix 'applying' typo.
  * Rebuild for boost1.62 transition.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Nov 2016 14:35:46 +0100

pyosmium (2.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.9.0.
  * Drop © character from copyright statements in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Sep 2016 09:50:07 +0200

pyosmium (2.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.8.0.
  * Drop patches, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Aug 2016 15:21:21 +0200

pyosmium (2.7.1-3) unstable; urgency=medium

  * Add patch to fix test_location_tuple failure.
    (closes: #828979)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 04 Jul 2016 23:42:48 +0200

pyosmium (2.7.1-2) unstable; urgency=medium

  * Add patch to fix test failure on 32-bit architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Jun 2016 10:11:28 +0200

pyosmium (2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to handle more tag conventions in filenamemangle.
  * Bump minimum required libosmium2-dev to 2.7.1.
  * Drop allows-to-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jun 2016 17:19:44 +0200

pyosmium (2.6.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 17:16:24 +0200

pyosmium (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump minimum required libosmium2-dev to 2.6.0.
  * Update copyright file, update years for Sarah Hoffmann.
  * Add patch to fix 'allows one to' typo.
  * Update lintian override for renamed modules.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 06 Feb 2016 20:50:23 +0100

pyosmium (2.5.4-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Dec 2015 14:22:05 +0100

pyosmium (2.5.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.4.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 22:04:35 +0100

pyosmium (2.5.3-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.5.3.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2015 23:10:05 +0100

pyosmium (2.4.1-2) unstable; urgency=medium

  * Don't ignore test failures, fixed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Sep 2015 17:04:03 +0200

pyosmium (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump minimum required libosmium2-dev to 2.4.1.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 16:38:11 +0200

pyosmium (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop build dependencies on osmpbf & protobuf.
  * Bump minimum required libosmium2-dev to 2.3.0.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 21:18:37 +0200

pyosmium (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Handle other extensions in filenamemangle.
  * Require at least libosmium version 2.2.0.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Jul 2015 17:11:47 +0200

pyosmium (2.1.0-2) unstable; urgency=medium

  * Ignore test failures instead of failing the entire build.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jun 2015 23:15:44 +0200

pyosmium (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #779932)

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 23 Jun 2015 23:32:42 +0200
